Bug 640947 - Partition Table Crashes
Partition Table Crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 06:13 EDT by Michael Adeyeye
Modified: 2011-06-28 07:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda files (93.03 KB, application/x-gzip)
2010-10-16 02:24 EDT, Michael Adeyeye
no flags Details

  None (edit)
Description Michael Adeyeye 2010-10-07 06:13:41 EDT
Description of problem:
I wanted to dual-boot; so, i tried to install Fedora 13 on my PC. I chose the
shrink option during the installation, having had Ubuntu 10.10 use the entire
disk. Anaconda shrank the drive, but I could no longer access the Ubuntu partition(s).

Version-Release number of selected component (if applicable):
Fedora 13


How reproducible:
Try an install Fedora 13 on a PC already running Ubuntu and has no free
partition. Choose the shrink option during the installation. Boot up the Fedora OS and try to access the Ubuntu partition from it.


Steps to Reproduce:
1. Get a PC running Ubuntu and has no free partition/space
2. Choose the shrink option when installing Fedora
3. Restart the machine after installation and log on to the Fedora OS.
4. Try and access the Ubuntu partition(s)

  
Actual results:
My partition table, on checking with partition tools - fdisk, e.t.c, got messed up. 8blocks were lost in the process.


Expected results:
I should have been able to access my Ubuntu partition(s) on the Fedora OS.



Additional info:
Comment 1 Jan Wildeboer 2010-10-07 06:30:07 EDT
The error message was the dreaded "wrong superblock"

I checked the duplicate superblocks on sda1 (which is an ext4 FS, BTW) and found out that the problem must be in the partition table.

Somehow 8 blocks were missing - superblock said 51200000 blocks, partition table made that 51199992 blocks.

I deleted the sda1 partition in fdisk and recreated it with the same parameters. After that all was back to normal.

Seemingly the shrinking of anaconda somehow created a slightly different partition layout as opposed to fdisk calculations.
Comment 2 Brian Lane 2010-10-15 21:16:50 EDT
Could you attach the /var/log/anaconda* files to this bug? Also, if you remember the sizes of the partitions (before and after correcting the problem) that might be helpful.
Comment 3 Michael Adeyeye 2010-10-16 02:24:17 EDT
Created attachment 453837 [details]
anaconda files

The anaconda files are attached. The entire disk size was 300GB, and I asked Anaconda to shrink it so that Fedora could be installed on 100GB of the entire space.
Comment 4 Bug Zapper 2011-05-31 07:48:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brian Lane 2011-05-31 12:38:40 EDT
Are you able to retry this with F15? Alot has changed since F13.
Comment 6 Bug Zapper 2011-06-28 07:52:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.